obj/HUD
	layer=10*10000
	icon='HUD.dmi'
	ToolTips
		MouseEntered()
			ShowToolTip(usr,"Tool Tip HUDs",1,2,7,4,src.desc)
		MouseExited()
			HideToolTip(usr,"Tool Tip HUDs")
		OpenMenuHUD
			screen_loc="1,1"
			icon_state="OpenMenu"
			desc="Click here to open the Menu."
			Click()
				usr.CancelVerb()
		SoundHUD
			screen_loc="2,1"
			icon_state="Music1"
			desc="Toggle Music:\nOn\nOff"
			Click()
				usr.musicOn=!usr.musicOn
				if(usr.musicOn)	usr<<sound(usr.curMusic,1,channel=1)
				else	usr<<sound(null,channel=1)
				src.icon_state="Music[usr.musicOn]"
		IconSizeHUD
			screen_loc="3,1"
			icon_state="IconSize32"
			desc="Toggle Graphics:\nActual Size\nStretch to Fit"
			Click()
				if(usr.iconSize)	usr.iconSize=0
				else	usr.iconSize=32
				winset(usr,"MainWindow.MainMap","icon-size=[usr.iconSize]")
				src.icon_state="IconSize[usr.iconSize]"
		EncounterHUD
			screen_loc="4,1"
			icon_state="Encounters1"
			desc="Toggle Battles:\nOn\nOff"
			Click()
				usr.encounterRate=!usr.encounterRate
				src.icon_state="Encounters[usr.encounterRate]"
		GoldShopHUD
			screen_loc="5,1"
			icon_state="$"
			desc="Browse the Special Items Super Shop."
			Click()
				usr<<sound('Shop.ogg')
	PetBattleGraphic
		layer=8*10000+2
		var/tmp/screen_y=0
		//icon='BattlePokemonL.dmi'
		screen_loc="1,1"
	FadeEffect
		layer=12*10000
		screen_loc="1,1 to 17,17"
		icon='FadeEffects.dmi'
	ItemDisplay
		layer=11*10000
		screen_loc="2,8"
	HUDBG
		screen_loc="1,1 to 17,17"
		icon='BlankIcon.dmi'
		mouse_opacity=2
		layer=0
	SwapOutline
		mouse_opacity=0
		icon='SwapOutline.png'

mob/var/tmp
	obj/HUD/HUDBG/hudBG
	obj/HUD/ToolTips/SoundHUD/soundHUD
	obj/HUD/ToolTips/IconSizeHUD/iconSizeHUD
	obj/HUD/ToolTips/OpenMenuHUD/openMenuHUD
	obj/HUD/ToolTips/EncounterHUD/encounterHUD
	obj/HUD/ToolTips/GoldShopHUD/goldShopHUD
	obj/HUD/ItemDisplay/itemDisplay
	obj/HUD/SwapOutline/swapOutline

mob/proc/AddHUD()
	if(!src.soundHUD)
		src.hudBG=new
		src.soundHUD=new
		src.itemDisplay=new
		src.swapOutline=new
		src.iconSizeHUD=new
		src.openMenuHUD=new
		src.encounterHUD=new
		src.goldShopHUD=new
	src.client.screen+=src.hudBG
	src.client.screen+=src.soundHUD
	src.client.screen+=src.iconSizeHUD
	src.client.screen+=src.openMenuHUD
	src.client.screen+=src.encounterHUD
	src.client.screen+=src.goldShopHUD
	src.client.screen+=src.itemDisplay

mob/var/tmp/isLoading
mob/var/tmp/obj/HUD/FadeEffect/fadeEffect
mob/proc/FadeEffect(var/thisEffect="FullFade",var/lockLoading=10)
	if(lockLoading)	src.isLoading=1
	if(!src.fadeEffect)
		src.fadeEffect=new
		src.client.screen+=fadeEffect
	if(thisEffect=="FadeOut")
		flick("",src.fadeEffect)
		src.fadeEffect.icon_state="Faded"
	else
		flick("Faded",src.fadeEffect)
		src.fadeEffect.icon_state=""
	flick(thisEffect,src.fadeEffect)
	if(lockLoading)	spawn(lockLoading)	src.isLoading=0

mob/proc/LoadingFade()
	src.isLoading=1
	src.FadeEffect("FadeOut",0)
	sleep(5)
	spawn(1)	src.FadeEffect("FadeIn",5)