//Low CPU HUD Management
//ID is the "list" of HUD text to create/update
//First, use of WriteHUDText(): Feed NewText as your max length string, ie: 9999
//After that, just use UpdateHUDText() with the same ID and actual text as NewText
//hudx/hudpixx/etc should be easy enough positional variables to understand.
mob/var/list
	lastTextByID
	letterObjectsByID

obj/HUD/LowCPU
	layer=11*10000
	icon='MenuText.dmi'
	mouse_opacity=0
	var/OrigScreenLoc
	var/OrigX;var/OrigPixX
	var/OrigY;var/OrigPixY
	New(hudx,hudxpix,hudy,hudypix,letter)
		src.icon_state=letter
		src.OrigX=hudx;src.OrigPixX=hudxpix
		src.OrigY=hudy;src.OrigPixY=hudypix
		src.screen_loc="[hudx]:[hudxpix],[hudy]:[hudypix]"
		src.OrigScreenLoc=src.screen_loc

mob/proc/UpdateHUDText(var/ID,var/NewText)
	if(!(ID in src.lastTextByID))	return
	if(src.lastTextByID[ID]==NewText)	return
	if(!(ID in src.letterObjectsByID))	return
	var/firstpos=0
	var/letterPos=0
	NewText="[NewText]"
	src.lastTextByID[ID]=NewText
	var/list/theseLetterObjs=src.letterObjectsByID["[ID]"]
	src.client.screen-=theseLetterObjs
	if(!NewText)	return
	var/SlimOffset=0
	while(1)
		firstpos+=1
		letterPos+=1
		var/letter=copytext(NewText,firstpos,firstpos+1)
		if(!letter)	break
		if(firstpos>theseLetterObjs.len)	break
		var/obj/HUD/LowCPU/O=theseLetterObjs[letterPos]
		if(letter=="\\" && firstpos<length(NewText))	//Symbol handling
			firstpos+=1;letter+=copytext(NewText,firstpos,firstpos+1)
		O.icon_state=letter
		if(SlimOffset)	O.screen_loc="[O.OrigX]:[O.OrigPixX-SlimOffset],[O.OrigY]:[O.OrigPixY]"
		else	O.screen_loc=O.OrigScreenLoc
		if(SlimLetter(letter))	SlimOffset+=8
		src.client.screen+=O

mob/proc/WriteHUDText(var/hudx,var/hudxpix,var/hudy,var/hudypix,var/ID,var/NewText,var/layerBoost=0)
	if(!src.lastTextByID)
		src.lastTextByID=list()
		src.letterObjectsByID=list()
	if(ID in src.lastTextByID)	return
	var/firstpos=0
	var/PixelSpace=12
	NewText="[NewText]"
	src.lastTextByID[ID]="/initial"
	var/list/theseLetterObjs=list()
	if(!(ID in src.letterObjectsByID))	{src.letterObjectsByID+=ID;src.letterObjectsByID[ID]=list()}
	while(1)
		firstpos+=1
		var/letter=copytext(NewText,firstpos,firstpos+1)
		if(!letter)	{src.letterObjectsByID["[ID]"]=theseLetterObjs;break}
		var/obj/HUD/LowCPU/O=new(hudx,hudxpix,hudy,hudypix,letter)
		O.layer+=layerBoost*10000
		theseLetterObjs+=O
		hudxpix+=PixelSpace
		if(hudxpix>=32)	{hudx+=1;hudxpix-=32}