#define DEBUG
//Project Start Date: Oct 15 2011
world
	name="Monster Kingdom"
	hub="Falacy.MonsterKingdom"
	status="<B>Online</B>"
	mob=/mob/Player
	view=8
	fps=50
	New()
		world.log=file("Log.txt")
		world.hub_password="Xx[682912]xX"
		spawn(-1)	AddClouds()
		spawn(-1)	PopulateFirstEvos()
		spawn(-1)	PopulateBattleBGs()
		spawn(-1)	PopulateScreenEffects()
		spawn(-1)	PopulateStatusEffects()
		return ..()

var/const/baseStepSize=8
atom/movable/step_size=baseStepSize

client
	control_freak=1
	show_popup_menus=0
	perspective=EDGE_PERSPECTIVE|EYE_PERSPECTIVE

mob/Login()
	src.AddHUD()
	src.AddName()
	onlinePlayers+=src
	world<<"<b>[src] Joined"
	spawn(-1)
		winset(src,"ScreenSizeWindow","is-maximized=true")
		var/list/screenRez=winget(src,"ScreenSizeWindow.SizeLabel","size")
		screenRez=Split(screenRez,"x")
		var/windowSize=Split("800x600","x")
		winset(src,"MainWindow","size=800x600;pos='[text2num(screenRez[1])/2-text2num(windowSize[1])/2],[text2num(screenRez[2])/2-text2num(windowSize[2])/2]';is-maximized=true")
		winset(src,"MainWindow.MainMap","icon-size=32;focus=true")
	if(!src.Load())
		src.PixelLocate(locate(100,100,1))
		if(src.gender=="female")	src.icon_state="Fighter08"
		src.petsHeld=list()
		src.ChangeMusic(mainMusic)
		var/newPet=pick("Bloom","Eva","Dew")
		newPet=text2path("/mob/Pets/RPGMaker/[newPet]")
		src.AddPet(new newPet(1))
		src.AddItem(new/obj/Items/Catchers/Stones/Soul_Stone,5)
		spawn(-1)
			ShowMsg(src,"Hello, [src.key]!\nWelcome to [world.name].\nPress SPACE to continue...")
			ShowMsg(src,"Use WASD Keys to Move.\nPress ESCAPE to close menus...")
			src.FakeQuest()
	for(var/mob/Pets/P in src.AllPets())	P.ownerMob=src
	src.SetActivePet()
	spawn(-1)	src.AddMovementMacros()
	src.WriteHUDText(2,20,7,-4,"OppWait","Waiting for LONG KEY HERE...")
	src.UpdateHUDText("OppWait",null)
	if(src.key=="Falacy")
		src.verbs+=typesof(/mob/GM/verb)
		src.verbs+=typesof(/mob/Test/verb)
	src.GiveMedal("Player")
	src.SubCheck()
	spawn(0)	if(src.client.IsByondMember())
		src.GiveMedal("BYOND Member")
		if(src.isSub)	src.GiveMedal("Sub Member")
	return ..()

mob/Logout()
	world<<"<b>[src] Left"
	onlinePlayers-=src
	src.ExitCave()
	if(src.activePet)	src.activePet.loc=null
	src<<link("http://www.byond.com/members/Falacy/forum?id=35433&single=1")
	del src

mob/Player
	bound_x=8
	bound_y=2
	bound_width=16
	bound_height=16
	icon='Characters.dmi'
	icon_state="Fighter01"