obj/Decorations
	density=1
	icon='Decorations.dmi'
	HangingSigns
		density=0
		icon_state="ItemSign"
		New()
			.=..()
			src.layer+=64
	SlimCounter
		bound_x=4
		bound_width=24
		icon='Shop01CounterSlim.dmi'
	LargeDefaultTree
		bound_x=50
		bound_y=5
		bound_width=20
		bound_height=20
		icon='LargeDefaultTree.png'
	Castle01
		icon='Castle01.dmi'
		Window
			icon_state="Window"
	Shop01
		icon='Shop01.dmi'
		Decor
			pickMsgs=list("Somebody could probably hide something in here... but there isn't anything inside.",\
				"This looks heavy.","Just a simple container.","It looks sturdy.","I wonder if something is in here...")
			Barrel
				bound_height=24
				icon_state="Barrel"
			Jug
				bound_height=24
				icon_state="Jug"
		Trinkets
			icon_state="Teddy"
		Shields
			icon_state="RoundShield"
		WallHangings
			icon_state="Scimitars"
		Helmets
			icon_state="Helmets"
		PottedPlant
			icon_state="PottedPlant"
		PottedPlants
			icon_state="PottedPlants"
		PottedFlowers
			icon_state="PottedFlowers"
	Railings
		density=1
		icon='Railing.dmi'
		bound_y=1
		Left
			bound_width=7
			icon_state="L"
		Right
			bound_x=25
			bound_width=7
			icon_state="R"
		Bottom
			bound_height=8
			icon_state="B"

obj/Decorations64
	density=1
	bound_width=64
	bound_height=64
	icon='Decorations64.dmi'
	Castle01_FancyWindow
		icon_state="Castle01 FancyWindow"
	Castle01_Window
		icon_state="Castle01 Window"
	Castle01_Window1
		icon_state="Castle01 Window1"
	Castle01_MossyWallT
		bound_width=32
		bound_height=16
		icon_state="Castle01 MossyWallT"
	PortTownWindow
		icon_state="PortTownWindow"
	PointyBush
		bound_x=5
		bound_width=54
		bound_height=32
		icon_state="PointyBush"
	FishNetRack
		icon_state="FishNetRack"
		bound_height=8
	PuffyBush
		bound_x=3
		bound_y=4
		bound_width=58
		bound_height=28
		icon_state="PuffyBush"
	SlimTree
		bound_x=3
		bound_y=4
		bound_width=26
		bound_height=28
		icon_state="SlimTree"
	Shop01
		icon='Shop0164.dmi'
		ClothesRack
			bound_x=9
			bound_y=3
			bound_width=15
			bound_height=12
			icon_state="ClothesRack"
			chatMsgs=list("The finest looks in all the land?")
		Piano
			bound_width=54
			bound_height=32
			icon_state="Piano"
			Interact(var/mob/M)
				var/list/allNotes=list('EL1.wav','EL2.wav','EL3.wav','EL4.wav','EL5.wav','EL6.wav','EL7.wav','EL8.wav',\
					'L1.wav','L2.wav','L3.wav','L4.wav','L5.wav','L6.wav','L7.wav','L8.wav',\
					'M1.wav','M2.wav','M3.wav','M4.wav','M5.wav','M6.wav','M7.wav','M8.wav')
				M<<sound(pick(allNotes))
				return 1
		StairsDown
			density=0
			layer=TURF_LAYER
			icon_state="StairsDown"
		ArmorSet
			icon_state="ArmorSet"
		Maps
			icon_state="Maps"
		Carpets
			icon_state="Carpets"
		Blankets
			icon_state="Blankets"
		Sword
			icon_state="Sword"
		Scimitars
			icon_state="Scimitars"
		SackPile
			icon_state="SackPile"
		CurtainsL
			icon_state="CurtainsL"
		Cauldron
			icon_state="Cauldron"
		Skulls
			icon_state="Skulls"
		Shovel
			density=1
			icon_state="Shovel"
		TallCrate
			bound_width=32
			bound_height=32
			icon_state="TallCrate"
		SpearBox
			icon_state="SpearBox"
			chatMsgs=list("A box with pointy spears sticking out all over the place.  Not the safest thing...")
		Clock
			icon_state="Clock"
			Interact(var/mob/M)
				var/thisHour=text2num(time2text(world.timeofday,"hh"))
				if(thisHour>12)	thisHour-=12
				if(thisHour==0)	thisHour=12
				ShowMsg(M,"[thisHour] O'Clock...")
				return 1
		AssortedWeapons
			icon_state="AssortedWeapons"
		SwordsDown
			icon_state="SwordsDown"
		AxeR
			icon_state="AxeR"
		Swords
			icon_state="Swords"
		PottedTree
			bound_width=32
			icon_state="PottedTree"
		Counter
			icon_state="Counter"
		WindowCurtains
			icon_state="WindowCurtains"
		FortuneTable
			icon_state="FortuneTable"

obj/Decorations96
	density=1
	bound_width=96
	bound_height=96
	icon='Decorations96.dmi'
	SmallBoat
		icon_state="SmallBoat"
	DockPillar
		layer=TURF_LAYER+2
		bound_width=19
		bound_height=16
		icon_state="DockPillar"
	EmptyFishRack
		density=0
		icon_state="EmptyFishRack"
	Doors
		layer=7
		density=0
		icon='Doors96.dmi'
		icon_state="Door1"
	Fountain
		bound_x=4
		bound_y=4
		bound_width=88
		bound_height=64
		icon_state="Fountain"
		Interact(var/mob/M)
			switch(rand(1,3))
				if(1)
					for(var/mob/Pets/P in M.petsHeld)	P.AddHP(1)
					ShowMsg(M,"You take a drink from the fountain.\nRefreshing.")
				if(2)	ShowMsg(M,"Throwing a coin into the fountain would surely grant you good luck!")
				else	ShowMsg(M,"The water in this fountain glistens mysteriously.")
			return 1
	Statue
		bound_width=44
		bound_height=30
		icon_state="Statue"
		Interact(var/mob/M)
			ShowMsg(M,"A statue of a woman with a dove at one hand, and a staff in the other.")
			return 1
	StairsUp
		density=0
		layer=TURF_LAYER
		icon='Shop0196.dmi'
		icon_state="StairsUp"
	Shelves
		pickMsgs=list("Various objects are spread about the shelves.  Nothing looks particularly interesting.",\
			"These shelves are full of meaningless items.","A lot of items, but nothing useful.")
		Shelf
			bound_width=52
			bound_height=32
			icon='Shop0196.dmi'
			icon_state="Shelf"
		Shelf2
			bound_width=60
			bound_height=24
			icon='Shop0196.dmi'
			icon_state="Shelf2"
		Shelf3
			bound_width=60
			bound_height=32
			icon='Shop0196.dmi'
			icon_state="Shelf4"