mob/Pets
	bound_x=8
	bound_y=2
	bound_width=16
	bound_height=16
	icon='OverworldPokemon.dmi'
	var/exp=0
	var/isWild=1
	var/owner
	var/tmp/mob/ownerMob
	var/captureInfo
	var/petGender
	var/imgSrc="http://img.pokemondb.net/artwork/pokename.jpg"
	var/nationalID
	var/elementType1
	var/elementType2
	var/species
	var/height
	var/weight
	var/tmp/list/abilities
	var/maleGenderChance
	var/tmp/list/eggGroups
	var/catchRate
	var/level=5
	var/HP
	var/maxHP
	var/attack
	var/defense
	var/specialAttack
	var/specialDefense
	var/speed
	var/expRequired
	var/japName
	var/isShiny
	var/tmp/list/levelMoves
	var/list/moveObjs=list()
	var/tmp/expFormula="Medium Fast"
	var/tmp/displayedHP
	var/list/previousOwners
	var/tmp/battleReady
	var/tmp/boundsReady
	var/tmp/icon/battleIcon
	var/tmp/list/evolutionList
	var/tmp/obj/HUD/PetBattleGraphic/battleFront=new
	var/tmp/obj/HUD/PetBattleGraphic/battleBack=new
	var/list/IVs=list("HP","attack","defense","specialAttack","specialDefense","speed")
	var/list/EVs=list("HP","attack","defense","specialAttack","specialDefense","speed")
	var/tmp/list/statStages=list("HP","attack","defense","specialAttack","specialDefense","speed")
	var/tmp/list/expYields=list("Exp.","HP","Attack","Defense","Sp. Attack","Sp. Defense","Speed","Total EVs")
	Pokemon	//Place holder while other file is disabled
	New(trueNew=0)
		if(trueNew)	src.TrueNew()
		return ..()
	proc/SetBattleIcons()
		if(!src.battleReady)
			src.battleReady=1
			if(istype(src,/mob/Pets/Pokemon))
				src.battleFront.icon_state=initial(src.name)
				src.battleFront.screen_y=-GetLowestPixel(src.battleFront.icon,src.battleFront.icon_state,SOUTH)+8
				src.battleBack.icon_state=initial(src.name)
				src.battleBack.screen_y=-GetLowestPixel(src.battleBack.icon,src.battleBack.icon_state,NORTH)+8
			else
				src.battleFront.icon=ScaleIconHeight(src.battleIcon,96,"[src.battleIcon]")
				src.battleBack.icon=ScaleIconHeight(FlipIcon(src.battleIcon),128,"[src.battleIcon]")
			if(src.isShiny)
				src.battleFront.icon=InvertIcon(src.battleFront.icon,"[src.battleIcon]FRONT")
				src.battleBack.icon=InvertIcon(src.battleBack.icon,"[src.battleIcon]BACK")
	proc/SetBounds()
		if(!src.boundsReady)
			src.boundsReady=1
			var/icon/I=new(src.icon)
			src.bound_x=I.Width()/2/2
			src.bound_width=I.Width()/2
			src.bound_height=I.Height()/3
	TrueNew()
		if(!src.petGender)
			for(var/v in src.IVs)	src.IVs[v]=rand(0,31)
			src.CalculateExp()
			src.CalculateStats()
			if(prob(src.maleGenderChance))	src.petGender="Male"
			else	src.petGender="Female"
			src.HP=src.maxHP
			src.GiveLevelMoves()
			if(rand(1,8192)==1)	src.isShiny=1
		if(istype(src,/mob/Pets/Pokemon))	src.icon_state="[text2num(src.nationalID)]"
		else
			src.icon_state="[initial(src.name)]"
			src.icon=initial(src.icon)
		if(src.isShiny)	src.icon=InvertIcon(src.icon,"[initial(src.icon)]")