mob/Pets/RPGMaker
	/*Evapis,Vampix,Beezid,Leguana,Eanix,Fairite,Shroomin,Zombat,Scorpid,Wraith,Skullington,Skellington,Zombie,Zombiac*/
	species="Monster"
	icon='MOW32.dmi'
	Bloom
		battleIcon='001 Bloom.png'
		nationalID="001"
		elementType1="Grass"
		elementType2="Ground"
		abilities=list("Overgrow","Chlorophyll (Dream World)")
		maleGenderChance=0
		eggGroups=list("Grass","Fairy")
		catchRate=45
		maxHP=45
		attack=49
		defense=49
		specialAttack=65
		specialDefense=65
		speed=45
		expYields=list(64,0,0,0,1,0,0,1)
		evolutionList=list("Bloom","Treitan"=16,"Rootess"=32)
		levelMoves=list("Tackle@1","Fear@1","Leech Seed@7","Vine Whip@9","Poisonpowder@13","Sleep Powder@13","Take Down@15","Razor Leaf@19","Sweet Scent@21","Growth@25","Double-Edge@27","Worry Seed@31","Synthesis@33","Seed Bomb@37")
	Treitan
		icon='MOW96.dmi'
		battleIcon='002 Treitan.png'
		nationalID="002"
		elementType1="Grass"
		elementType2="Ground"
		abilities=list("Overgrow","Chlorophyll (Dream World)")
		maleGenderChance=100
		eggGroups=list("Grass","Monster")
		catchRate=45
		maxHP=60
		attack=62
		defense=63
		specialAttack=80
		specialDefense=80
		speed=60
		expYields=list(142,0,0,0,1,1,0,2)
		evolutionList=list("Bloom","Treitan"=16,"Rootess"=32)
		levelMoves=list("Fear@1","Leech Seed@1","Tackle@1","Fear@3","Leech Seed@7","Vine Whip@9","Poisonpowder@13","Sleep Powder@13","Take Down@15","Razor Leaf@20","Sweet Scent@23","Growth@28","Double-Edge@31","Worry Seed@36","Synthesis@39","Solarbeam@44")
	Rootess
		battleIcon='003 Rootess.png'
		nationalID="003"
		elementType1="Grass"
		elementType2="Ground"
		abilities=list("Overgrow","Chlorophyll (Dream World)")
		maleGenderChance=0
		eggGroups=list("Grass","Fairy")
		catchRate=45
		maxHP=80
		attack=82
		defense=83
		specialAttack=100
		specialDefense=100
		speed=80
		expYields=list(236,0,0,0,2,1,0,3)
		evolutionList=list("Bloom","Treitan"=16,"Rootess"=32)
		levelMoves=list("Fear@1","Leech Seed@1","Tackle@1","Vine Whip@1","Fear@3","Leech Seed@7","Vine Whip@9","Poisonpowder@13","Sleep Powder@13","Take Down@15","Razor Leaf@20","Sweet Scent@23","Growth@28","Double-Edge@31","Petal Dance@32","Worry Seed@39","Synthesis@45","Solarbeam@53")
	Eva
		battleIcon='004 Eva.png'
		nationalID="004"
		elementType1="Fire"
		elementType2=null
		abilities=list("Blaze","Solar Power (Dream World)")
		maleGenderChance=0
		eggGroups=list("Fire","Fairy")
		catchRate=45
		maxHP=39
		attack=52
		defense=43
		specialAttack=60
		specialDefense=50
		speed=65
		expYields=list(62,0,0,0,0,0,1,1)
		evolutionList=list("Eva","Evapis"=16,"Evaporite"=36)
		levelMoves=list("Scratch@1","Fear@1","Fire@7","Smokescreen@10","Dragon Rage@16","Scary Face@19","Fire Fang@25","Flame Burst@28","Slash@34","Flamethrower@37","Fire Spin@43","Inferno@46")
	Evapis
		battleIcon='005 Evapis.png'
		nationalID="005"
		elementType1="Fire"
		elementType2=null
		abilities=list("Blaze","Solar Power (Dream World)")
		maleGenderChance=50
		eggGroups=list("Fire","Fairy")
		catchRate=45
		maxHP=58
		attack=64
		defense=58
		specialAttack=80
		specialDefense=65
		speed=80
		expYields=list(142,0,0,0,1,0,1,2)
		evolutionList=list("Eva","Evapis"=16,"Evaporite"=36)
		levelMoves=list("Fire@1","Fear@1","Scratch@1","Fire@7","Smokescreen@10","Dragon Rage@17","Scary Face@21","Fire Fang@28","Flame Burst@32","Slash@39","Flamethrower@43","Fire Spin@50","Inferno@54")
	Evaporite
		battleIcon='006 Evaporite.png'
		nationalID="006"
		elementType1="Fire"
		elementType2="Flying"
		abilities=list("Blaze","Solar Power (Dream World)")
		maleGenderChance=0
		eggGroups=list("Fire","Fairy")
		catchRate=45
		maxHP=78
		attack=84
		defense=78
		specialAttack=109
		specialDefense=85
		speed=100
		expYields=list(240,0,0,0,3,0,0,3)
		evolutionList=list("Eva","Evapis"=16,"Evaporite"=36)
		levelMoves=list("Air Slash@1","Dragon Claw@1","Fire@1","Fear@1","Scratch@1","Shadow Claw@1","Smokescreen@1","Fire@7","Smokescreen@10","Dragon Rage@17","Scary Face@21","Fire Fang@28","Flame Burst@32","Wing Attack@36","Slash@41","Flamethrower@47","Fire Spin@56","Inferno@62","Heat Wave@71","Flare Blitz@77")
	Dew
		battleIcon='007 Dew.png'
		nationalID="007"
		elementType1="Water"
		elementType2=null
		abilities=list("Torrent","Rain Dish (Dream World)")
		maleGenderChance=0
		eggGroups=list("Fairy","Water 1")
		catchRate=45
		maxHP=44
		attack=48
		defense=65
		specialAttack=50
		specialDefense=64
		speed=43
		expYields=list(63,0,0,1,0,0,0,1)
		evolutionList=list("Dew","Oceana"=16,"Isilis"=36)
		levelMoves=list("Tackle@1","Whiplash@1","Bubble@7","Withdraw@10","Water Gun@13","Bite@16","Rapid Spin@19","Protect@22","Water Pulse@25","Aqua Tail@28","Skull Bash@31","Iron Defense@34","Rain Dance@37","Hydro Pump@40")
	Oceana
		battleIcon='008 Oceana.png'
		nationalID="008"
		elementType1="Water"
		elementType2=null
		abilities=list("Torrent","Rain Dish (Dream World)")
		maleGenderChance=0
		eggGroups=list("Fairy","Water 1")
		catchRate=45
		maxHP=59
		attack=63
		defense=80
		specialAttack=65
		specialDefense=80
		speed=58
		expYields=list(142,0,0,1,0,1,0,2)
		evolutionList=list("Dew","Oceana"=16,"Isilis"=36)
		levelMoves=list("Bubble@1","Tackle@1","Whiplash@1","Whiplash@4","Bubble@7","Withdraw@10","Water Gun@13","Bite@16","Rapid Spin@20","Protect@24","Water Pulse@28","Aqua Tail@32","Skull Bash@36","Iron Defense@40","Rain Dance@44","Hydro Pump@48")
	Isilis
		battleIcon='009 Isilis.png'
		nationalID="009"
		elementType1="Water"
		elementType2=null
		abilities=list("Torrent","Rain Dish (Dream World)")
		maleGenderChance=0
		eggGroups=list("Fairy","Water 1")
		catchRate=45
		maxHP=79
		attack=83
		defense=100
		specialAttack=85
		specialDefense=105
		speed=78
		expYields=list(239,0,0,0,0,3,0,3)
		evolutionList=list("Dew","Oceana"=16,"Isilis"=36)
		levelMoves=list("Bubble@1","Flash Cannon@1","Tackle@1","Whiplash@1","Withdraw@1","Whiplash@4","Bubble@7","Withdraw@10","Water Gun@13","Bite@16","Rapid Spin@20","Protect@24","Water Pulse@28","Aqua Tail@32","Skull Bash@39","Iron Defense@46","Rain Dance@53","Hydro Pump@60")

	Cockatrice
		battleIcon='016 Cockatrice.png'
		nationalID="016"
		elementType1="Normal"
		elementType2="Flying"
		abilities=list("Keen Eye","Tangled Feet","Big Pecks (Dream World)")
		maleGenderChance=75
		eggGroups=list("Flying")
		catchRate=255
		maxHP=40
		attack=45
		defense=40
		specialAttack=35
		specialDefense=35
		speed=56
		expYields=list(50,0,0,0,0,0,1,1)
		evolutionList=list("Cockatrice","Cockatrix"=18,"Eanix"=36)
		levelMoves=list("Tackle@1","Sand-attack@5","Gust@9","Quick Attack@13","Whirlwind@17","Twister@21","Featherdance@25","Agility@29","Wing Attack@33","Roost@37","Tailwind@41","Mirror Move@45","Air Slash@49","Hurricane@53")
	Cockatrix
		battleIcon='017 Cockatrix.png'
		icon_state="Cockatrice"
		nationalID="017"
		elementType1="Normal"
		elementType2="Flying"
		abilities=list("Keen Eye","Tangled Feet","Big Pecks (Dream World)")
		maleGenderChance=50
		eggGroups=list("Flying")
		catchRate=120
		maxHP=63
		attack=60
		defense=55
		specialAttack=50
		specialDefense=50
		speed=71
		expYields=list(122,0,0,0,0,0,2,2)
		evolutionList=list("Cockatrice","Cockatrix"=18,"Eanix"=36)
		levelMoves=list("Gust@1","Sand-attack@1","Tackle@1","Sand-attack@5","Gust@9","Quick Attack@13","Whirlwind@17","Twister@22","Featherdance@27","Agility@32","Wing Attack@37","Roost@42","Tailwind@47","Mirror Move@52","Air Slash@57","Hurricane@62")
	Eanix
		icon='MOW96.dmi'
		battleIcon='018 Eanix.png'
		nationalID="018"
		elementType1="Normal"
		elementType2="Flying"
		abilities=list("Keen Eye","Tangled Feet","Big Pecks (Dream World)")
		maleGenderChance=25
		eggGroups=list("Flying")
		catchRate=45
		maxHP=83
		attack=80
		defense=75
		specialAttack=70
		specialDefense=70
		speed=91
		expYields=list(211,0,0,0,0,0,3,3)
		evolutionList=list("Cockatrice","Cockatrix"=18,"Eanix"=36)
		levelMoves=list("Gust@1","Quick Attack@1","Sand-attack@1","Tackle@1","Sand-attack@5","Gust@9","Quick Attack@13","Whirlwind@17","Twister@22","Featherdance@27","Agility@32","Wing Attack@38","Roost@44","Tailwind@50","Mirror Move@56","Air Slash@62","Hurricane@68")
	Ratix
		battleIcon='019 Ratix.png'
		nationalID="019"
		elementType1="Normal"
		elementType2=null
		abilities=list("Guts","Run Away","Hustle (Dream World)")
		maleGenderChance=50
		eggGroups=list("Field")
		catchRate=255
		maxHP=30
		attack=56
		defense=35
		specialAttack=25
		specialDefense=35
		speed=72
		expYields=list(51,0,0,0,0,0,1,1)
		evolutionList=list("Ratix")
		levelMoves=list("Tackle@1","Whiplash@1","Quick Attack@4","Focus Energy@7","Bite@10","Pursuit@13","Hyper Fang@16","Sucker Punch@19","Crunch@22","Assurance@25","Super Fang@28","Double-Edge@31","Endeavor@34")

	Medusa
		icon='MOW48.dmi'
		battleIcon='023 Medusa.png'
		nationalID="023"
		elementType1="Poison"
		elementType2=null
		abilities=list("Intimidate","Shed Skin","Unnerve (Dream World)")
		maleGenderChance=0
		eggGroups=list("Dragon","Field")
		catchRate=255
		maxHP=35
		attack=60
		defense=44
		specialAttack=40
		specialDefense=54
		speed=55
		expYields=list(58,0,1,0,0,0,0,1)
		evolutionList=list("Medusa","Medurak"=22)
		levelMoves=list("Leer@1","Wrap@1","Poison Sting@4","Bite@9","Glare@12","Screech@17","Acid@20","Spit Up@25","Stockpile@25","Swallow@25","Acid Spray@28","Mud Bomb@33","Gastro Acid@36","Haze@41","Coil@44","Gunk Shot@49")
	Meduzar
		icon='MOW96.dmi'
		battleIcon='024 Meduzar.png'
		nationalID="024"
		elementType1="Poison"
		elementType2=null
		abilities=list("Intimidate","Shed Skin","Unnerve (Dream World)")
		maleGenderChance=75
		eggGroups=list("Dragon","Field")
		catchRate=90
		maxHP=60
		attack=85
		defense=69
		specialAttack=65
		specialDefense=79
		speed=80
		expYields=list(153,0,2,0,0,0,0,2)
		evolutionList=list("Medusa","Medurak"=22)
		levelMoves=list("Bite@1","Fire Fang@1","Ice Fang@1","Leer@1","Poison Sting@1","Thunder Fang@1","Wrap@1","Poison Sting@4","Bite@9","Glare@12","Screech@17","Acid@20","Crunch@22","Spit Up@27","Stockpile@27","Swallow@27","Acid Spray@32","Mud Bomb@39","Gastro Acid@44","Haze@51","Coil@56","Gunk Shot@63")

	Fairy
		battleIcon='035 Fairy.png'
		nationalID="035"
		elementType1="Normal"
		elementType2=null
		abilities=list("Cute Charm","Magic Guard","Friend Guard (Dream World)")
		maleGenderChance=0
		eggGroups=list("Fairy")
		catchRate=150
		maxHP=70
		attack=45
		defense=48
		specialAttack=60
		specialDefense=65
		speed=35
		expYields=list(113,2,0,0,0,0,0,2)
		evolutionList=list("Fairy","Fairite")
		levelMoves=list("Fear@1","Pound@1","Encore@4","Sing@7","Doubleslap@10","Defense Curl@13","Follow Me@16","Minimize@19","Wake-up Slap@22","Bestow@25","Cosmic Power@28","Lucky Chant@31","Metronome@34","Gravity@37","Moonlight@40","Stored Power@43","Light Screen@46","Healing Wish@49","After You@52","Meteor Mash@55")
	Fairite
		battleIcon='036 Fairite.png'
		nationalID="036"
		elementType1="Normal"
		elementType2=null
		abilities=list("Cute Charm","Magic Guard","Unaware (Dream World)")
		maleGenderChance=0
		eggGroups=list("Fairy")
		catchRate=25
		maxHP=95
		attack=70
		defense=73
		specialAttack=85
		specialDefense=90
		speed=60
		expYields=list(213,3,0,0,0,0,0,3)
		evolutionList=list("Fairy","Fairite")
		levelMoves=list("Doubleslap@1","Metronome@1","Minimize@1","Sing@1")

	Zombat
		battleIcon='041 Zombat.png'
		nationalID="041"
		elementType1="Poison"
		elementType2="Flying"
		abilities=list("Inner Focus","Infiltrator (Dream World)")
		maleGenderChance=50
		eggGroups=list("Flying")
		catchRate=255
		maxHP=40
		attack=45
		defense=35
		specialAttack=30
		specialDefense=40
		speed=55
		expYields=list(49,0,0,0,0,0,1,1)
		evolutionList=list("Zombat","Vambat"=22)
		levelMoves=list("Blood Suck@1","Supersonic@5","Astonish@9","Bite@13","Wing Attack@17","Confuse Ray@21","Air Cutter@25","Mean Look@29","Acrobatics@33","Poison Fang@37","Haze@41","Air Slash@45")
	Vambat
		battleIcon='042 Vambat.png'
		nationalID="042"
		elementType1="Poison"
		elementType2="Flying"
		abilities=list("Inner Focus","Infiltrator (Dream World)")
		maleGenderChance=50
		eggGroups=list("Flying")
		catchRate=90
		maxHP=75
		attack=80
		defense=70
		specialAttack=65
		specialDefense=75
		speed=90
		expYields=list(159,0,0,0,0,0,2,2)
		evolutionList=list("Zombat","Vambat"=22)
		levelMoves=list("Astonish@1","Blood Suck@1","Screech@1","Supersonic@1","Supersonic@5","Astonish@9","Bite@13","Wing Attack@17","Confuse Ray@21","Air Cutter@27","Mean Look@33","Acrobatics@39","Poison Fang@45","Haze@51","Air Slash@57")

	Mimic
		battleIcon='052 Mimic.png'
		nationalID="052"
		elementType1="Normal"
		elementType2=null
		abilities=list("Pickup","Technician","Unnerve (Dream World)")
		maleGenderChance=50
		eggGroups=list("Field")
		catchRate=255
		japName="Nyasu"
		maxHP=40
		attack=45
		defense=35
		specialAttack=40
		specialDefense=40
		speed=90
		expYields=list(58,0,0,0,0,0,1,1)
		evolutionList=list("Mimic","Mimicry"=28)
		levelMoves=list("Covet@1","Fear@1","Scratch@1","Bite@6","Fake Out@9","Fury Swipes@14","Screech@17","Faint Attack@22","Taunt@25","Pay Day@30","Slash@33","Nasty Plot@38","Assurance@41","Captivate@46","Night Slash@49","Feint@54")
	Mimicry
		battleIcon='053 Mimicry.png'
		nationalID="053"
		elementType1="Normal"
		elementType2=null
		abilities=list("Limber","Technician","Unnerve (Dream World)")
		maleGenderChance=50
		eggGroups=list("Field")
		catchRate=90
		maxHP=65
		attack=70
		defense=60
		specialAttack=65
		specialDefense=65
		speed=115
		expYields=list(154,0,0,0,0,0,2,2)
		evolutionList=list("Mimic","Mimicry"=28)
		levelMoves=list("Covet@1","Bite@1","Fake Out@1","Fear@1","Scratch@1","Switcheroo@1","Bite@6","Fake Out@9","Fury Swipes@14","Screech@17","Faint Attack@22","Taunt@25","Power Gem@32","Slash@37","Nasty Plot@44","Assurance@49","Captivate@56","Night Slash@61","Feint@68")

	Hellhound
		icon='MOW48.dmi'
		battleIcon='058 Hellhound.png'
		nationalID="058"
		elementType1="Fire"
		elementType2=null
		abilities=list("Flash Fire","Intimidate","Justified (Dream World)")
		maleGenderChance=75
		eggGroups=list("Field")
		catchRate=190
		maxHP=55
		attack=70
		defense=45
		specialAttack=70
		specialDefense=50
		speed=60
		expYields=list(70,0,1,0,0,0,0,1)
		evolutionList=list("Hellhound","Cerberus")
		levelMoves=list("Bite@1","Roar@1","Fire@6","Leer@9","Odor Sleuth@14","Helping Hand@17","Flame Wheel@20","Reversal@25","Fire Fang@28","Flame Burst@31","Take Down@34","Flamethrower@39","Agility@42","Crunch@45","Retaliate@48","Heat Wave@51","Flare Blitz@56")
	Cerberus
		icon='MOW64.dmi'
		battleIcon='059 Cerberus.png'
		nationalID="059"
		elementType1="Fire"
		elementType2=null
		abilities=list("Flash Fire","Intimidate","Justified (Dream World)")
		maleGenderChance=75
		eggGroups=list("Field")
		catchRate=75
		maxHP=90
		attack=110
		defense=80
		specialAttack=100
		specialDefense=80
		speed=95
		expYields=list(194,0,2,0,0,0,0,2)
		evolutionList=list("Hellhound","Cerberus")
		levelMoves=list("Bite@1","Fire Fang@1","Odor Sleuth@1","Roar@1","Thunder Fang@1","Extremespeed@39")

	Zombie
		icon='MOW40.dmi'
		battleIcon='109 Zombie.png'
		nationalID="109"
		elementType1="Poison"
		elementType2=null
		abilities=list("Levitate")
		maleGenderChance=100
		eggGroups=list("Amorphous")
		catchRate=190
		maxHP=40
		attack=65
		defense=95
		specialAttack=60
		specialDefense=45
		speed=35
		expYields=list(68,0,0,1,0,0,0,1)
		evolutionList=list("Zombie","Zombiac"=35)
		levelMoves=list("Poison Cloud@1","Tackle@1","Smog@6","Smokescreen@10","Assurance@15","Clear Smog@19","Selfdestruct@24","Sludge@28","Haze@33","Gyro Ball@37","Explosion@42","Sludge Bomb@46","Destiny Bond@51","Memento@55")
	Zombiac
		icon='MOW40.dmi'
		battleIcon='110 Zombiac.png'
		nationalID="110"
		elementType1="Poison"
		elementType2=null
		abilities=list("Levitate")
		maleGenderChance=50
		eggGroups=list("Amorphous")
		catchRate=60
		maxHP=65
		attack=90
		defense=120
		specialAttack=85
		specialDefense=70
		speed=60
		expYields=list(172,0,0,2,0,0,0,2)
		evolutionList=list("Zombie","Zombiac"=35)
		levelMoves=list("Poison Cloud@1","Smog@1","Smokescreen@1","Tackle@1","Smog@6","Smokescreen@10","Assurance@15","Clear Smog@19","Selfdestruct@24","Sludge@28","Haze@33","Double Hit@39","Explosion@46","Sludge Bomb@52","Destiny Bond@59","Memento@65")