client/Del()
	if(src.mob)	src.mob.Save()
	return ..()

var/list/musicArray=list(mainMusic,'034-Heaven01.mid')
var/list/vars2Save=list("x","y","z","step_x","step_y","dir","caveLoc","curZone","musicOn","icon_state","curGold","petsHeld","inventory","TotalStats","petStorage")

mob/proc/Save()
	var/saveFile="Players/[ckey(src.key)].sav"
	if(fexists(saveFile))	fdel(saveFile)
	var/savefile/F=new(saveFile)
	F["gameVersion"]<<gameVersion
	for(var/v in vars2Save)	F[v]<<src.vars[v]
	F["musicID"]<<musicArray.Find(src.curMusic)
	if(src.vehicleRef)	for(var/v in list("x","y","z"))	F[v]<<src.vehicleRef.vars[v]

mob/proc/Load()
	var/saveFile="Players/[ckey(src.key)].sav"
	if(fexists(saveFile))
		var/savefile/F=new(saveFile)
		var/lastVersion=F["gameVersion"]
		if(!lastVersion || lastVersion<1)	return
		if(lastVersion<gameVersion)	spawn(-1)
			if(QuickChatChoice(src,list("View","Close"),"Updates have taken place since you last played Monster Kingdom.")=="View")	src.ViewUpdates()
		for(var/v in vars2Save)		src.vars[v]=F[v]
		if(F["caveLoc"])
			var/pList=params2list(F["caveLoc"])
			var/obj/CaveEntrance/thisCave=locate(/obj/CaveEntrance) in locate(text2num(pList["x"]),text2num(pList["y"]),text2num(pList["z"]))
			src.PixelLocate(locate(thisCave.x,thisCave.y-1,thisCave.z),SOUTH)
			src.caveLoc=null
		else
			src.PixelLocate(locate(F["x"],F["y"],F["z"]))
			src.step_x=F["step_x"]
			src.step_y=F["step_y"]
			src.PixelLocate(src)
		if(F["musicID"])	src.ZoneMusic(musicArray[F["musicID"]])
		for(var/obj/HUD/ToolTips/SoundHUD/H in src.client.screen)
			src.musicOn=!src.musicOn;H.Click()
		if(lastVersion<7)	spawn(-1)	src.FakeQuest()
		if(lastVersion<8)
			for(var/mob/Pets/P in src.AllPets())	if(P.level<5)	P.SetLevel(5)
			for(var/i=7; i<=src.petsHeld.len; i++)	src.StorePet(src.petsHeld[i])
			spawn(-1)	ShowMsg(src,"Any monsters you had below level 5 have been raised to level 5.")
		return 1