mob/var/tmp/obj/Vehicles/vehicleRef

obj/Vehicles
	density=1
	bound_x=11
	bound_y=12
	bound_width=42
	bound_height=38
	canCross=1
	canBeCrossed=1
	step_size=baseStepSize*2
	var/maxCapacity=4
	var/tmp/list/passangers=list()
	Car
		icon='CarsByTenza.dmi'
		icon_state="Car0"
	New()
		src.underlays+="Shadow"
		return ..()
	Interact(var/mob/M)
		src.EnterVehicle(M)
		return 1
	proc/EnterVehicle(var/mob/M)
		if(src.passangers.len>=src.maxCapacity)
			ShowMsg(M,"No empty seats!")
			return
		M.vehicleRef=src
		src.icon_state="[src.name]1"
		M.client.eye=src
		M.loc=null
		src.passangers+=M
		if(M.activePet)	M.activePet.loc=null
	proc/ExitVehicle(var/mob/M)
		M.client.eye=M
		M.PixelLocate(src)
		src.icon_state="[src.name]0"
		src.passangers-=M
		M.vehicleRef=null
		return 1

mob/Move(var/newTurf,var/newDir)
	if(src.vehicleRef && src.vehicleRef.passangers[1]==src)	step(src.vehicleRef,newDir)
	return ..()