mob/var/tmp/mainMenuOpen
obj/HUD/MainMenuPets
	layer=26*10000
	mouse_opacity=2
	var/onScreen=1
	var/mob/Pets/petRef
	icon='OverworldPokemon.dmi'
	New()
		src.Rotate()
		return ..()
	proc/Rotate()
		src.dir=WEST
		spawn(-1)	while(onScreen)
			src.dir=turn(src.dir,90)
			sleep(10)
	MouseDrop(over_object,src_location,over_location,src_control,over_control,params)
		if(over_object!=src && istype(over_object,src.type))
			var/obj/HUD/MainMenuPets/M=over_object
			usr.SwapMenuPets(src.petRef,M.petRef)
			usr.RefreshMainMenuPets()

mob/proc/SwapMenuPets(var/mob/Pets/pet1,var/mob/Pets/pet2)
	src.petsHeld.Swap(src.petsHeld.Find(pet1),src.petsHeld.Find(pet2))
	src.SetActivePet()

mob/proc
	ClearMainMenuPets()
		var/thisX=2,thisY=13
		var/list/petText=list("PetName","PetHP","PetLevel")
		for(var/mob/Pets/P in src.petsHeld)
			for(var/v in petText)	src.UpdateHUDText("[v][thisX][thisY]",null)
			thisX+=6;if(thisX>=10)	{thisX=2;thisY-=3}
		for(var/obj/HUD/MainMenuPets/P in src.client.screen)
			P.onScreen=0
			src.client.screen-=P
	RefreshMainMenuPets()
		src.ClearMainMenuPets()
		src.DrawMainMenu()
	DrawMainMenu()
		var/thisX=2,thisY=13
		for(var/mob/Pets/P in src.petsHeld)
			var/obj/HUD/MainMenuPets/M=new()
			M.petRef=P
			M.name=P.name
			M.icon=P.icon
			M.icon_state=P.icon_state
			M.mouse_drag_pointer=M.icon_state
			M.screen_loc="[thisX-1]:16,[thisY]:-2"
			src.client.screen+=M
			src.WriteHUDText(thisX,20,thisY,16,"PetName[thisX][thisY]","XOXOXOXOXOXO")
			src.UpdateHUDText("PetName[thisX][thisY]","[P]")
			src.WriteHUDText(thisX,20,thisY,-6,"PetLevel[thisX][thisY]","Level 999")
			src.UpdateHUDText("PetLevel[thisX][thisY]","Level [P.level]")
			src.WriteHUDText(thisX,20,thisY-1,4,"PetHP[thisX][thisY]","HP 999/999")
			src.UpdateHUDText("PetHP[thisX][thisY]","HP [P.HP]/[P.maxHP]")
			thisX+=6;if(thisX>=10)	{thisX=2;thisY-=3}
	ShowMainMenu()
		if(src.inBattle)	return
		if(src.isLoading)	return
		if(src.viewingMsg)	return
		src.mainMenuOpen=1
		src.PlayMenuSound('Select.ogg')
		MainMenuStart
		src.ShowGold()
		src.CustBG(1,6,12,14,"MainMenuBG")
		src.CustBG(13,7,17,17,"MainMenuBG")
		src.DrawMainMenu()
		var/lastChoice
		MainMenuOptions
		var/list/mainMenuList=list("Monsters","Items","Forums","Quests","Achievements","Updates","Subscribe","Close")
		lastChoice=src.CreateHUDChoices(mainMenuList,"13,17:-17",1,10,1,1,"You can drag and drop Monsters to quickly swap their positions.",lastChoice)
		switch(lastChoice)
			if("Quests")	spawn(-1)	src.FakeQuest()
			if("Achievements")	src<<link("http://www.byond.com/games/Falacy/MonsterKingdom?tab=scores")
			if("Forums")	src<<link("http://www.byond.com/forum/Falacy/MonsterKingdom")
			if("Updates")	src.ViewUpdates()
			if("Subscribe")	src<<link("http://www.angelfire.com/hero/straygames/Subscribe.html")
			if("Monsters")
				var/obj/HUD/MainMenuPets/lastSelection
				PetsMenu
				var/list/hudPets=list()
				for(var/obj/HUD/MainMenuPets/P in src.client.screen)
					if(lastSelection && P.petRef==lastSelection.petRef)	lastSelection=P
					hudPets+=P;P.mouse_opacity=0
				var/obj/HUD/MainMenuPets/pet1=src.CreateHUDChoices(hudPets,"1:0,13:2",2,3,6,3,"Select a Monster to swap positions.",lastSelection,0)
				if(istype(pet1,/obj/HUD/MainMenuPets))
					lastSelection=pet1
					var/list/SL=UseableScreenLocs(pet1.screen_loc)
					src.swapOutline.screen_loc="[SL["x"]]:[SL["pixel_x"]],[SL["y"]-1]:[SL["pixel_y"]-2]"
					src.client.screen+=src.swapOutline
					var/obj/HUD/MainMenuPets/pet2=src.CreateHUDChoices(hudPets,"1:0,13:2",2,3,6,3,"Select a 2nd Monster to have\n[pet1] swap positions with.",pet1,0)
					src.client.screen-=src.swapOutline
					if(istype(pet2,/obj/HUD/MainMenuPets) && pet1!=pet2)
						src.SwapMenuPets(pet1.petRef,pet2.petRef)
						src.RefreshMainMenuPets()
					goto PetsMenu
				for(var/obj/HUD/MainMenuPets/P in src.client.screen)	P.mouse_opacity=2
				goto MainMenuOptions
			if("Items")
				src.HideMainMenu()
				src.mainMenuOpen=1
				src.ShowGold()
				src.GetInventoryItem()
				goto MainMenuStart
		src.HideMainMenu()
	HideMainMenu()
		src.HideGold()
		src.ClearBG("MainMenuBG")
		src.ClearMainMenuPets()
		src.mainMenuOpen=0