atom/Write(savefile/F)
	.=..()
	if(src.icon!=initial(src.icon))	F["icon"]<<null

atom/var/tmp/isRead=0
atom/proc/TrueNew()	return
atom/Read(savefile/F)
	.=..()
	src.isRead=1
	src.TrueNew()

proc/RoundUp(var/num)
	return -round(-num)

proc/Split(var/text2split,var/SplitBy=",")
	var/CurPos=1
	var/list/SplitList=list()
	while(findtext(text2split,SplitBy,CurPos,0))
		var/NextPos=findtext(text2split,SplitBy,CurPos,0)
		SplitList+=copytext(text2split,CurPos,NextPos)
		CurPos=NextPos+1
	if(CurPos<=length(text2split))	SplitList+=copytext(text2split,CurPos,0)
	return SplitList

proc/FindAndReplace(var/fullText,var/text2Find,var/replacementText)
	var/replacedText=fullText
	if(findtext(fullText,text2Find))
		var/foundText=findtext(fullText,text2Find)
		replacedText=copytext(replacedText,1,foundText)+replacementText+copytext(replacedText,foundText+length(text2Find))
	return replacedText

proc/PadText(var/shortText,var/desiredLen,var/padText=" ")
	shortText="[shortText]";var/paddedSpace=""
	while(length("[paddedSpace][shortText]")<desiredLen)	paddedSpace+=padText
	return paddedSpace+shortText

proc/PowerOf(var/value,var/power)
	var/returnValue=value
	for(var/i=1;i<power;i++)	returnValue*=value
	return returnValue

proc/UseableScreenLocs(var/screenLoc)
	var/list/splitLoc=Split(screenLoc,",")
	var/screenX=text2num(splitLoc[1])
	var/screenXO=0;if(findtext(splitLoc[1],":"))	screenXO=text2num(Split(splitLoc[1],":")[2])
	var/screenY=text2num(splitLoc[2])
	var/screenYO=0;if(findtext(splitLoc[2],":"))	screenYO=text2num(Split(splitLoc[2],":")[2])
	return list("x"=screenX,"pixel_x"=screenXO,"y"=screenY,"pixel_y"=screenYO)

proc/FullNum(var/eNum,var/ShowCommas=1)
	eNum=num2text(round(eNum),99)
	if(ShowCommas && length(eNum)>3)
		for(var/i=1;i<=round(length(eNum)/4);i++)
			var/CutLoc=length(eNum)+1-(i*3)-(i-1)
			eNum="[copytext(eNum,1,CutLoc)],[copytext(eNum,CutLoc)]"
	return eNum

proc/TrimText(var/fullText,var/text2Trim=" ")
	while(length(fullText)>=length(text2Trim) && copytext(fullText,1,length(text2Trim)+1)==text2Trim)
		fullText=copytext(fullText,length(text2Trim)+1,0)
	while(length(fullText)>=length(text2Trim)+1 && copytext(fullText,length(fullText)+1-length(text2Trim),0)==text2Trim)
		fullText=copytext(fullText,1,length(fullText)+1-length(text2Trim))
	return fullText