obj/TempRandomHolder
obj/Items/RandomDecor
	price=30
	bound_height=24
	layer=OBJ_LAYER
	icon_state="Anchor"
	icon='DecorRandom.dmi'
	var/zoneType
	var/retainHeight
	pickMsgs=list("Random objects are strewn about.","Nothing important here.","Just some random objects.","Nothing worth looting.","Various objects.","This looks familiar...","Nothing interesting.")
	Dock
		zoneType="Dock"
	City
		zoneType="City"
		icon_state="Barrel"
	Cave
		zoneType="Cave"
		icon_state="CaveCrystalLarge"
	New()
		if(src.loc)	src.RandomState()
		return ..()
	Cross(var/mob/M)
		if(src.density && src.z>baseZs)
			if(ismob(M) && M.client)
				step(src,M.dir)
		return ..()
	Interact(var/mob/M)
		if(src.z>baseZs)
			src.loc=null
			M.AddItem(src,1)
			ShowMsg(M,"[src] Collected")
			return 1
		return ..(M)
	proc/RandomState()
		PopulateZoneDecor()
		var/list/zoneObjTypes=zoneDecor[src.zoneType]
		PickAgain
		var/obj/RandomDecorTypes/thisObj=pick(zoneObjTypes)
		src.icon_state="[thisObj]"
		for(var/obj/Items/RandomDecor/R in oview(1,src))	if(R.icon_state==src.icon_state)	goto PickAgain
		src.name=thisObj.name
		src.density=thisObj.density
		src.retainHeight=thisObj.retainHeight
		if(!src.density && !src.retainHeight)	src.layer=TURF_LAYER
		spawn(1)
			var/xChange=rand(0,4)
			if(xChange)	step(src,pick(EAST,WEST),xChange)
			var/yChange=rand(0,8)
			if(yChange)	step(src,NORTH,yChange)

var/zonesPopulated
var/list/zoneDecor=list()
proc/PopulateZoneDecor()
	if(!zonesPopulated)
		zonesPopulated=1
		for(var/v in typesof(/obj/RandomDecorTypes)-/obj/RandomDecorTypes)
			var/obj/RandomDecorTypes/O=new v
			for(var/z in O.zoneTypes)
				if(!(z in zoneDecor))
					zoneDecor+=z
					zoneDecor[z]=list()
				zoneDecor[z]+=O
obj/RandomDecorTypes
	icon='DecorRandom.dmi'
	var/list/zoneTypes
	var/retainHeight
	density=1
	Barrel
		zoneTypes=list("Dock","City","Cave")
	Barrel1
		zoneTypes=list("Dock","City","Cave")
	Jug
		zoneTypes=list("City")
	Jug1
		zoneTypes=list("City")
	Anchor
		density=0
		retainHeight=1
		zoneTypes=list("Dock")
	Rope
		density=0
		zoneTypes=list("Dock")
	DockNub
		zoneTypes=list("Dock")
	DockNubRope
		zoneTypes=list("Dock")
	Bags
		density=0
		retainHeight=1
		zoneTypes=list("Dock","City","Cave")
	RopePile
		density=0
		zoneTypes=list("Dock","City","Cave")
	Crate
		zoneTypes=list("Dock","City","Cave")
	Flowers
		density=0
		retainHeight=1
		zoneTypes=list("City","Cave")
	Flowers1
		density=0
		zoneTypes=list("City","Cave")
	Flowers2
		density=0
		retainHeight=1
		zoneTypes=list("City","Cave")
	PottedFlowers
		zoneTypes=list("Dock","City","Cave")
	PottedPlants
		zoneTypes=list("City","Cave")
	CactusPlant
		density=0
		retainHeight=1
		zoneTypes=list("Cave")
	BerryBush
		density=0
		retainHeight=1
		zoneTypes=list("City","Cave")
	CottonBush
		density=0
		zoneTypes=list("Cave")
	MossyBush
		density=0
		zoneTypes=list("Cave")
	Lillypad
		density=0
		zoneTypes=list()
	LillypadLarge
		density=0
		zoneTypes=list()
	Mushrooms
		density=0
		retainHeight=1
		zoneTypes=list("Cave")
	Heartpetals
		retainHeight=1
		zoneTypes=list("Cave")
	CaveCrystal
		zoneTypes=list("Cave")
	CaveCrystalLarge
		zoneTypes=list("Cave")
	Rock
		zoneTypes=list("Cave")
	FishCrate
		zoneTypes=list("Dock")
	WaterCrate
		zoneTypes=list("Dock")
	ShortCrate
		zoneTypes=list("Dock","City","Cave")
	ShortCrateTopless
		zoneTypes=list("Dock","City","Cave")
	LobsterCrate
		zoneTypes=list("Dock")
	HayCrate
		zoneTypes=list("City","Cave")
	CornBarrel
		zoneTypes=list("City")